%----------------------------------------------------------------------------------------
%	VARIOUS REQUIRED PACKAGES
%----------------------------------------------------------------------------------------
\usepackage[T1]{fontenc} % Support for more character glyphs
\usepackage[square,numbers]{natbib}\citeindextrue % Round brackets around citations, change to square for square brackets
\usepackage{graphicx} % Required to include images
\usepackage{color} % Required for custom colors
\usepackage{amsmath,amssymb,theorem} % Math packagesss
\usepackage{listings} % Required for including snippets of code
\usepackage{booktabs} % Required for better horizontal rules in tables
\usepackage{xspace} % Provides the ability to use an intelligent space which is used in \institution and \department
\usepackage[printonlyused,withpage]{acronym} % Include a list of acronyms
\usepackage{rotating} % Allows tables and figures to be rotated
\usepackage{hyperref} % Required for links and changing link options
%\usepackage[colorlinks, urlcolor= black, linkcolor=black, citecolor=black]{hyperref} % Required for links and changing link options
\usepackage{fontspec} % Required for specifying custom fonts in XeTeX
\usepackage{microtype} % Slightly tweak font spacing for aesthetics
\usepackage{lipsum}
\usepackage{todonotes}
\usepackage{flowchart}
\usetikzlibrary{arrows}
\usepackage{subcaption}
\usepackage{algorithm}
\usepackage[noend]{algpseudocode}
\usepackage{amsmath}
\usepackage{nccmath}
\usepackage{tikz}
\usepackage{verbatim}
\usepackage{booktabs}
\usepackage{multirow}
\usetikzlibrary{positioning}
\usepackage{lineno} 
%\linenumbers
\usepackage{pgf-pie}
\usepackage{appendixnumberbeamer}
\usepackage{booktabs}
\usepackage[scale=2]{ccicons}
\usepackage{pgfplots}
\usepgfplotslibrary{dateplot}
\usepackage{xspace}
\usepackage[edges]{forest}
\usepackage{array}
\newcolumntype{C}{>{\centering\arraybackslash}p{1em}}
\usetikzlibrary{calc}
\usepackage{tabularx}